### org.jfree.layouting.modules.output.html

# Class StyleBuilder

- `java.lang.Object`
- - `org.jfree.layouting.modules.output.html.StyleBuilder`

`public class StyleBuilder`
`extends java.lang.Object`

Creation-Date: 26.11.2006, 12:46:22

Author:
  Thomas Morgner

  ## Constructor Summary

  `StyleBuilder(boolean compact)`

  `StyleBuilder(boolean compact, StyleBuilder parent)`

  ## Method Summary

  `void`

  `append(String key, boolean inheritable, String value)`

  `void`

  `append(StyleKey key, String text)`

  `void`

  `append(StyleKey key, String value, String unit)`

  `void`

  `append(StyleKey key, CSSValue value)`

  `boolean`

  `isEmpty()`

  `static void`

  `main(String[] args)`

  `boolean`

  `parentContains(String key, String value)`

  `String`

  `toString()`

## Constructor Details

### StyleBuilder

    public StyleBuilder(boolean compact)

### StyleBuilder

    public StyleBuilder(boolean compact,
                        StyleBuilder parent)

## Method Details

### append

    public void append(String key,
                       boolean inheritable,
                       String value)

### append

    public void append(StyleKey key,
                       String text)

### append

    public void append(StyleKey key,
                       String value,
                       String unit)

### append

    public void append(StyleKey key,
                       CSSValue value)

### isEmpty

    public boolean isEmpty()

### main

    public static void main(String[] args)

### parentContains

    public boolean parentContains(String key,
                                  String value)

### toString

    public String toString()